# Class: stns::server::config
# ===========================
#
# stns::server::config is to configure stns.

class stns::server::config {

  $port     = $stns::server::port
  $user     = $stns::server::user
  $password = $stns::server::password
  $users    = $stns::server::users
  $groups   = $stns::server::groups

  concat { '/etc/stns/stns.conf':
    ensure => present,
    owner  => 'root',
    group  => 'root',
    mode   => '0644',
    notify => Class['stns::server::service'],
  }

  concat::fragment {
    'header':
      target  => '/etc/stns/stns.conf',
      content => "# HEADER: Autogenerated by Puppet.\n\n",
      order   => '01';

    'server_config':
      target  => '/etc/stns/stns.conf',
      content => template('stns/stns.conf.erb'),
      order   => '20';

    'users_config':
      target  => '/etc/stns/stns.conf',
      content => "## Users configurations.\n",
      order   => '40';

    'groups_config':
      target  => '/etc/stns/stns.conf',
      content => "## Groups configurations.\n",
      order   => '60';
  }

}
